Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_storage_from_storage

## Name

librdf_new_storage_from_storage -- Copy constructor - create a new librdf_storage object from an existing one

## Synopsis

``librdf_storage* `librdf_new_storage_from_storage`` (librdf_storage* `old_storage`);`

## Arguments

`old_storage`

  the existing storage librdf_storage to use

## Description

Should create a new storage in the same context as the existing one as appropriate for the storage. For example, in a RDBMS storage it would be a new database, or in on disk it would be a new set of files. This will mean automatically generating a new identifier for the storage, maybe based on the existing storage identifier.

## Return value

a new librdf_storage object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_storage_with_options | Up | librdf_new_storage_from_factory